<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/CapabilityAgents/Alerts/include/Alerts/AlertsCapabilityAgent.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7cf910bd1d7603f12ef47ff650cec893.html">CapabilityAgents</a></li><li class="navelem"><a class="el" href="dir_6a3d888c77d91a2c06c3ff7a43c42895.html">Alerts</a></li><li class="navelem"><a class="el" href="dir_32ca2b1be26df65d1a152938de056228.html">include</a></li><li class="navelem"><a class="el" href="dir_0756d7cbdb43a6da05839251aad86022.html">Alerts</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">AlertsCapabilityAgent.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_alerts_capability_agent_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2017-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_CAPABILITYAGENTS_ALERTS_INCLUDE_ALERTS_ALERTSCAPABILITYAGENT_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_CAPABILITYAGENTS_ALERTS_INCLUDE_ALERTS_ALERTSCAPABILITYAGENT_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_alert_observer_interface_8h.html">Alerts/AlertObserverInterface.h</a>&quot;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_alert_8h.html">Alerts/Alert.h</a>&quot;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_alert_scheduler_8h.html">Alerts/AlertScheduler.h</a>&quot;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_customer_data_handler_8h.html">RegistrationManager/CustomerDataHandler.h</a>&quot;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_capability_agent_8h.html">AVSCommon/AVS/CapabilityAgent.h</a>&gt;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_message_request_8h.html">AVSCommon/AVS/MessageRequest.h</a>&gt;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_focus_state_8h.html">AVSCommon/AVS/FocusState.h</a>&gt;</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_capability_configuration_8h.html">AVSCommon/AVS/CapabilityConfiguration.h</a>&gt;</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_alerts_audio_factory_interface_8h.html">AVSCommon/SDKInterfaces/Audio/AlertsAudioFactoryInterface.h</a>&gt;</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_capability_configuration_interface_8h.html">AVSCommon/SDKInterfaces/CapabilityConfigurationInterface.h</a>&gt;</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_connection_status_observer_interface_8h.html">AVSCommon/SDKInterfaces/ConnectionStatusObserverInterface.h</a>&gt;</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_context_manager_interface_8h.html">AVSCommon/SDKInterfaces/ContextManagerInterface.h</a>&gt;</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_focus_manager_interface_8h.html">AVSCommon/SDKInterfaces/FocusManagerInterface.h</a>&gt;</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_message_sender_interface_8h.html">AVSCommon/SDKInterfaces/MessageSenderInterface.h</a>&gt;</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_speaker_manager_interface_8h.html">AVSCommon/SDKInterfaces/SpeakerManagerInterface.h</a>&gt;</span></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_capability_configuration_8h.html">AVSCommon/AVS/CapabilityConfiguration.h</a>&gt;</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_requires_shutdown_8h.html">AVSCommon/Utils/RequiresShutdown.h</a>&gt;</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_executor_8h.html">AVSCommon/Utils/Threading/Executor.h</a>&gt;</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_timing_2_timer_8h.html">AVSCommon/Utils/Timing/Timer.h</a>&gt;</span></div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_certified_sender_8h.html">CertifiedSender/CertifiedSender.h</a>&gt;</span></div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="preprocessor">#include &lt;chrono&gt;</span></div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="preprocessor">#include &lt;set&gt;</span></div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="preprocessor">#include &lt;unordered_set&gt;</span></div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="keyword">namespace </span>capabilityAgents {</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="keyword">namespace </span>alerts {</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div><div class="line"><a name="l00051"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a1267ac57476e7e9544b4f1c57a429896">   51</a></span>&#160;<span class="keyword">static</span> <span class="keyword">const</span> std::chrono::minutes <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a1267ac57476e7e9544b4f1c57a429896">ALERT_PAST_DUE_CUTOFF_MINUTES</a> = std::chrono::minutes(30);</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html">   56</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html">AlertsCapabilityAgent</a></div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;        : <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html">avsCommon::avs::CapabilityAgent</a></div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;        , <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html">avsCommon::sdkInterfaces::ConnectionStatusObserverInterface</a></div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;        , <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capability_configuration_interface.html">avsCommon::sdkInterfaces::CapabilityConfigurationInterface</a></div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;        , <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_manager_observer_interface.html">avsCommon::sdkInterfaces::SpeakerManagerObserverInterface</a></div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;        , <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_focus_manager_observer_interface.html">avsCommon::sdkInterfaces::FocusManagerObserverInterface</a></div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;        , <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html">AlertObserverInterface</a></div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;        , <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">avsCommon::utils::RequiresShutdown</a></div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;        , <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_handler.html">registrationManager::CustomerDataHandler</a></div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;        , <span class="keyword">public</span> std::enable_shared_from_this&lt;AlertsCapabilityAgent&gt; {</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    <span class="keyword">static</span> std::shared_ptr&lt;AlertsCapabilityAgent&gt; <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a62f2a0b16f24b07512d3a800264eeeb5">create</a>(</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::MessageSenderInterface&gt; messageSender,</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::AVSConnectionManagerInterface&gt; connectionManager,</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;        std::shared_ptr&lt;certifiedSender::CertifiedSender&gt; certifiedMessageSender,</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::FocusManagerInterface&gt; focusManager,</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::SpeakerManagerInterface&gt; speakerManager,</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::ContextManagerInterface&gt; contextManager,</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::ExceptionEncounteredSenderInterface&gt; exceptionEncounteredSender,</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;        std::shared_ptr&lt;storage::AlertStorageInterface&gt; alertStorage,</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::audio::AlertsAudioFactoryInterface&gt; alertsAudioFactory,</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;        std::shared_ptr&lt;renderer::RendererInterface&gt; alertRenderer,</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;        std::shared_ptr&lt;registrationManager::CustomerDataManager&gt; dataManager);</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a2c1f3500cf37d70ffd6c1067f9c7f921">avsCommon::avs::DirectiveHandlerConfiguration</a> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a371c535e0e1838573bdba6fcf6a4a396">getConfiguration</a>() <span class="keyword">const override</span>;</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a06fe5fc1439941a0da721898eed37d44">handleDirectiveImmediately</a>(std::shared_ptr&lt;avsCommon::avs::AVSDirective&gt; directive) <span class="keyword">override</span>;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a695225803da43c58e2943233ed0a450c">preHandleDirective</a>(std::shared_ptr&lt;DirectiveInfo&gt; info) <span class="keyword">override</span>;</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a786cb30a1037d42b0431571fe5c46466">handleDirective</a>(std::shared_ptr&lt;DirectiveInfo&gt; info) <span class="keyword">override</span>;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a8d272b5ad0063344ed45c80945417283">cancelDirective</a>(std::shared_ptr&lt;DirectiveInfo&gt; info) <span class="keyword">override</span>;</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a78985125587bc62f4118ff949b197b6d">onDeregistered</a>() <span class="keyword">override</span>;</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a2cc0be4c4408e978907570121ea214ac">onConnectionStatusChanged</a>(<span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#a2e6b08990caa9d1911b01d51d92806b4">Status</a> status, <span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#aec54cdb601e5f93a516400d99663d11e">ChangedReason</a> reason) <span class="keyword">override</span>;</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a107eb9e4bea891e9dc5ff4fe7523861d">onFocusChanged</a>(<a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a066217aef6bc1e0e18dd3a13f467d275">avsCommon::avs::FocusState</a> focusState) <span class="keyword">override</span>;</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a2e61f1420fcd3eb25d1e4411a91bbbea">onAlertStateChange</a>(</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;        <span class="keyword">const</span> std::string&amp; token,</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;        <span class="keyword">const</span> std::string&amp; alertType,</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#a0ceb2f80d92998fad4842437760dfad9">AlertObserverInterface::State</a> state,</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;        <span class="keyword">const</span> std::string&amp; reason) <span class="keyword">override</span>;</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a107eb9e4bea891e9dc5ff4fe7523861d">onFocusChanged</a>(<span class="keyword">const</span> std::string&amp; channelName, <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a066217aef6bc1e0e18dd3a13f467d275">avsCommon::avs::FocusState</a> newFocus) <span class="keyword">override</span>;</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;    std::unordered_set&lt;std::shared_ptr&lt;avsCommon::avs::CapabilityConfiguration&gt;&gt; <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a5c98fab119fc0b67d172c420da6b1491">getCapabilityConfigurations</a>() <span class="keyword">override</span>;</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a48d566520bbbfcf4b1ade80ec18ef6a0">onSpeakerSettingsChanged</a>(</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;        <span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_manager_observer_interface.html#a38d6a50cc5799f07612827e1a163babb">Source</a>&amp; source,</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;        <span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">avsCommon::sdkInterfaces::SpeakerInterface::Type</a>&amp; type,</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;        <span class="keyword">const</span> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface_1_1_speaker_settings.html">avsCommon::sdkInterfaces::SpeakerInterface::SpeakerSettings</a>&amp; settings) <span class="keyword">override</span>;</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a7bc64ab1cd53261fa0e2580fa25a7d5c">addObserver</a>(std::shared_ptr&lt;AlertObserverInterface&gt; observer);</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#abb43665a8ad3ba4b921c8e84bcc48287">removeObserver</a>(std::shared_ptr&lt;AlertObserverInterface&gt; observer);</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a8e4653bb2070dee12722fb12861efa21">removeAllAlerts</a>();</div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a24e5a3a0db46902de1016797b01a3866">onLocalStop</a>();</div><div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;</div><div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a9b9ac84c64214653bed09c8307a2f142">clearData</a>() <span class="keyword">override</span>;</div><div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;</div><div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html">AlertsCapabilityAgent</a>(</div><div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::MessageSenderInterface&gt; messageSender,</div><div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;        std::shared_ptr&lt;certifiedSender::CertifiedSender&gt; certifiedMessageSender,</div><div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::FocusManagerInterface&gt; focusManager,</div><div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::SpeakerManagerInterface&gt; speakerManager,</div><div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::ContextManagerInterface&gt; contextManager,</div><div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::ExceptionEncounteredSenderInterface&gt; exceptionEncounteredSender,</div><div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;        std::shared_ptr&lt;storage::AlertStorageInterface&gt; alertStorage,</div><div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::audio::AlertsAudioFactoryInterface&gt; alertsAudioFactory,</div><div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;        std::shared_ptr&lt;renderer::RendererInterface&gt; alertRenderer,</div><div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;        std::shared_ptr&lt;registrationManager::CustomerDataManager&gt; dataManager);</div><div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;</div><div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;    <span class="keywordtype">void</span> doShutdown() <span class="keyword">override</span>;</div><div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;</div><div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;    <span class="keywordtype">bool</span> initialize();</div><div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;</div><div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;    <span class="keywordtype">bool</span> initializeAlerts();</div><div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;</div><div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;</div><div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;    <span class="keywordtype">void</span> executeHandleDirectiveImmediately(std::shared_ptr&lt;DirectiveInfo&gt; info);</div><div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160;</div><div class="line"><a name="l00237"></a><span class="lineno">  237</span>&#160;    <span class="keywordtype">void</span> executeOnConnectionStatusChanged(<span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#a2e6b08990caa9d1911b01d51d92806b4">Status</a> status, <span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#aec54cdb601e5f93a516400d99663d11e">ChangedReason</a> reason);</div><div class="line"><a name="l00238"></a><span class="lineno">  238</span>&#160;</div><div class="line"><a name="l00244"></a><span class="lineno">  244</span>&#160;    <span class="keywordtype">void</span> executeOnFocusChanged(<a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a066217aef6bc1e0e18dd3a13f467d275">avsCommon::avs::FocusState</a> focusState);</div><div class="line"><a name="l00245"></a><span class="lineno">  245</span>&#160;</div><div class="line"><a name="l00253"></a><span class="lineno">  253</span>&#160;    <span class="keywordtype">void</span> executeOnFocusManagerFocusChanged(<span class="keyword">const</span> std::string&amp; channelName, <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a066217aef6bc1e0e18dd3a13f467d275">avsCommon::avs::FocusState</a> focusState);</div><div class="line"><a name="l00254"></a><span class="lineno">  254</span>&#160;</div><div class="line"><a name="l00259"></a><span class="lineno">  259</span>&#160;    <span class="keywordtype">void</span> executeOnSpeakerSettingsChanged(</div><div class="line"><a name="l00260"></a><span class="lineno">  260</span>&#160;        <span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">avsCommon::sdkInterfaces::SpeakerInterface::Type</a>&amp; type,</div><div class="line"><a name="l00261"></a><span class="lineno">  261</span>&#160;        <span class="keyword">const</span> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface_1_1_speaker_settings.html">avsCommon::sdkInterfaces::SpeakerInterface::SpeakerSettings</a>&amp; settings);</div><div class="line"><a name="l00262"></a><span class="lineno">  262</span>&#160;</div><div class="line"><a name="l00271"></a><span class="lineno">  271</span>&#160;    <span class="keywordtype">void</span> executeOnAlertStateChange(</div><div class="line"><a name="l00272"></a><span class="lineno">  272</span>&#160;        <span class="keyword">const</span> std::string&amp; alertToken,</div><div class="line"><a name="l00273"></a><span class="lineno">  273</span>&#160;        <span class="keyword">const</span> std::string&amp; alertType,</div><div class="line"><a name="l00274"></a><span class="lineno">  274</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#a0ceb2f80d92998fad4842437760dfad9">AlertObserverInterface::State</a> state,</div><div class="line"><a name="l00275"></a><span class="lineno">  275</span>&#160;        <span class="keyword">const</span> std::string&amp; reason);</div><div class="line"><a name="l00276"></a><span class="lineno">  276</span>&#160;</div><div class="line"><a name="l00282"></a><span class="lineno">  282</span>&#160;    <span class="keywordtype">void</span> executeAddObserver(std::shared_ptr&lt;AlertObserverInterface&gt; observer);</div><div class="line"><a name="l00283"></a><span class="lineno">  283</span>&#160;</div><div class="line"><a name="l00289"></a><span class="lineno">  289</span>&#160;    <span class="keywordtype">void</span> executeRemoveObserver(std::shared_ptr&lt;AlertObserverInterface&gt; observer);</div><div class="line"><a name="l00290"></a><span class="lineno">  290</span>&#160;</div><div class="line"><a name="l00299"></a><span class="lineno">  299</span>&#160;    <span class="keywordtype">void</span> executeNotifyObservers(</div><div class="line"><a name="l00300"></a><span class="lineno">  300</span>&#160;        <span class="keyword">const</span> std::string&amp; alertToken,</div><div class="line"><a name="l00301"></a><span class="lineno">  301</span>&#160;        <span class="keyword">const</span> std::string&amp; alertType,</div><div class="line"><a name="l00302"></a><span class="lineno">  302</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#a0ceb2f80d92998fad4842437760dfad9">AlertObserverInterface::State</a> state,</div><div class="line"><a name="l00303"></a><span class="lineno">  303</span>&#160;        <span class="keyword">const</span> std::string&amp; reason = <span class="stringliteral">&quot;&quot;</span>);</div><div class="line"><a name="l00304"></a><span class="lineno">  304</span>&#160;</div><div class="line"><a name="l00308"></a><span class="lineno">  308</span>&#160;    <span class="keywordtype">void</span> executeRemoveAllAlerts();</div><div class="line"><a name="l00309"></a><span class="lineno">  309</span>&#160;</div><div class="line"><a name="l00313"></a><span class="lineno">  313</span>&#160;    <span class="keywordtype">void</span> executeOnLocalStop();</div><div class="line"><a name="l00314"></a><span class="lineno">  314</span>&#160;</div><div class="line"><a name="l00316"></a><span class="lineno">  316</span>&#160;</div><div class="line"><a name="l00326"></a><span class="lineno">  326</span>&#160;    <span class="keywordtype">bool</span> handleSetAlert(</div><div class="line"><a name="l00327"></a><span class="lineno">  327</span>&#160;        <span class="keyword">const</span> std::shared_ptr&lt;avsCommon::avs::AVSDirective&gt;&amp; directive,</div><div class="line"><a name="l00328"></a><span class="lineno">  328</span>&#160;        <span class="keyword">const</span> rapidjson::Document&amp; payload,</div><div class="line"><a name="l00329"></a><span class="lineno">  329</span>&#160;        std::string* alertToken);</div><div class="line"><a name="l00330"></a><span class="lineno">  330</span>&#160;</div><div class="line"><a name="l00340"></a><span class="lineno">  340</span>&#160;    <span class="keywordtype">bool</span> handleDeleteAlert(</div><div class="line"><a name="l00341"></a><span class="lineno">  341</span>&#160;        <span class="keyword">const</span> std::shared_ptr&lt;avsCommon::avs::AVSDirective&gt;&amp; directive,</div><div class="line"><a name="l00342"></a><span class="lineno">  342</span>&#160;        <span class="keyword">const</span> rapidjson::Document&amp; payload,</div><div class="line"><a name="l00343"></a><span class="lineno">  343</span>&#160;        std::string* alertToken);</div><div class="line"><a name="l00344"></a><span class="lineno">  344</span>&#160;</div><div class="line"><a name="l00352"></a><span class="lineno">  352</span>&#160;    <span class="keywordtype">bool</span> handleDeleteAlerts(</div><div class="line"><a name="l00353"></a><span class="lineno">  353</span>&#160;        <span class="keyword">const</span> std::shared_ptr&lt;avsCommon::avs::AVSDirective&gt;&amp; directive,</div><div class="line"><a name="l00354"></a><span class="lineno">  354</span>&#160;        <span class="keyword">const</span> rapidjson::Document&amp; payload);</div><div class="line"><a name="l00355"></a><span class="lineno">  355</span>&#160;</div><div class="line"><a name="l00363"></a><span class="lineno">  363</span>&#160;    <span class="keywordtype">bool</span> handleSetVolume(</div><div class="line"><a name="l00364"></a><span class="lineno">  364</span>&#160;        <span class="keyword">const</span> std::shared_ptr&lt;avsCommon::avs::AVSDirective&gt;&amp; directive,</div><div class="line"><a name="l00365"></a><span class="lineno">  365</span>&#160;        <span class="keyword">const</span> rapidjson::Document&amp; payload);</div><div class="line"><a name="l00366"></a><span class="lineno">  366</span>&#160;</div><div class="line"><a name="l00374"></a><span class="lineno">  374</span>&#160;    <span class="keywordtype">bool</span> handleAdjustVolume(</div><div class="line"><a name="l00375"></a><span class="lineno">  375</span>&#160;        <span class="keyword">const</span> std::shared_ptr&lt;avsCommon::avs::AVSDirective&gt;&amp; directive,</div><div class="line"><a name="l00376"></a><span class="lineno">  376</span>&#160;        <span class="keyword">const</span> rapidjson::Document&amp; payload);</div><div class="line"><a name="l00377"></a><span class="lineno">  377</span>&#160;</div><div class="line"><a name="l00387"></a><span class="lineno">  387</span>&#160;    <span class="keywordtype">void</span> sendEvent(<span class="keyword">const</span> std::string&amp; eventName, <span class="keyword">const</span> std::string&amp; alertToken, <span class="keywordtype">bool</span> isCertified = <span class="keyword">false</span>);</div><div class="line"><a name="l00388"></a><span class="lineno">  388</span>&#160;</div><div class="line"><a name="l00398"></a><span class="lineno">  398</span>&#160;    <span class="keywordtype">void</span> sendBulkEvent(<span class="keyword">const</span> std::string&amp; eventName, <span class="keyword">const</span> std::list&lt;std::string&gt;&amp; tokenList, <span class="keywordtype">bool</span> isCertified = <span class="keyword">false</span>);</div><div class="line"><a name="l00399"></a><span class="lineno">  399</span>&#160;</div><div class="line"><a name="l00406"></a><span class="lineno">  406</span>&#160;    <span class="keywordtype">void</span> updateAVSWithLocalVolumeChanges(int8_t volume, <span class="keywordtype">bool</span> forceUpdate);</div><div class="line"><a name="l00407"></a><span class="lineno">  407</span>&#160;</div><div class="line"><a name="l00414"></a><span class="lineno">  414</span>&#160;    <span class="keywordtype">void</span> sendProcessingDirectiveException(</div><div class="line"><a name="l00415"></a><span class="lineno">  415</span>&#160;        <span class="keyword">const</span> std::shared_ptr&lt;avsCommon::avs::AVSDirective&gt;&amp; directive,</div><div class="line"><a name="l00416"></a><span class="lineno">  416</span>&#160;        <span class="keyword">const</span> std::string&amp; errorMessage);</div><div class="line"><a name="l00417"></a><span class="lineno">  417</span>&#160;</div><div class="line"><a name="l00421"></a><span class="lineno">  421</span>&#160;    <span class="keywordtype">void</span> acquireChannel();</div><div class="line"><a name="l00422"></a><span class="lineno">  422</span>&#160;</div><div class="line"><a name="l00426"></a><span class="lineno">  426</span>&#160;    <span class="keywordtype">void</span> releaseChannel();</div><div class="line"><a name="l00427"></a><span class="lineno">  427</span>&#160;</div><div class="line"><a name="l00431"></a><span class="lineno">  431</span>&#160;    <span class="keywordtype">void</span> updateContextManager();</div><div class="line"><a name="l00432"></a><span class="lineno">  432</span>&#160;</div><div class="line"><a name="l00438"></a><span class="lineno">  438</span>&#160;    std::string getContextString();</div><div class="line"><a name="l00439"></a><span class="lineno">  439</span>&#160;</div><div class="line"><a name="l00446"></a><span class="lineno">  446</span>&#160;    <span class="keywordtype">bool</span> getAlertVolumeSettings(<a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface_1_1_speaker_settings.html">avsCommon::sdkInterfaces::SpeakerInterface::SpeakerSettings</a>* speakerSettings);</div><div class="line"><a name="l00447"></a><span class="lineno">  447</span>&#160;</div><div class="line"><a name="l00454"></a><span class="lineno">  454</span>&#160;    <span class="keywordtype">bool</span> getSpeakerVolumeSettings(<a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface_1_1_speaker_settings.html">avsCommon::sdkInterfaces::SpeakerInterface::SpeakerSettings</a>* speakerSettings);</div><div class="line"><a name="l00455"></a><span class="lineno">  455</span>&#160;</div><div class="line"><a name="l00462"></a><span class="lineno">  462</span>&#160;    <span class="keywordtype">void</span> setNextAlertVolume(int64_t volume);</div><div class="line"><a name="l00463"></a><span class="lineno">  463</span>&#160;</div><div class="line"><a name="l00470"></a><span class="lineno">  470</span>&#160;</div><div class="line"><a name="l00473"></a><span class="lineno">  473</span>&#160;    std::shared_ptr&lt;avsCommon::sdkInterfaces::MessageSenderInterface&gt; m_messageSender;</div><div class="line"><a name="l00475"></a><span class="lineno">  475</span>&#160;    std::shared_ptr&lt;certifiedSender::CertifiedSender&gt; m_certifiedSender;</div><div class="line"><a name="l00477"></a><span class="lineno">  477</span>&#160;    std::shared_ptr&lt;avsCommon::sdkInterfaces::FocusManagerInterface&gt; m_focusManager;</div><div class="line"><a name="l00479"></a><span class="lineno">  479</span>&#160;    std::shared_ptr&lt;avsCommon::sdkInterfaces::SpeakerManagerInterface&gt; m_speakerManager;</div><div class="line"><a name="l00481"></a><span class="lineno">  481</span>&#160;    std::shared_ptr&lt;avsCommon::sdkInterfaces::ContextManagerInterface&gt; m_contextManager;</div><div class="line"><a name="l00482"></a><span class="lineno">  482</span>&#160;</div><div class="line"><a name="l00484"></a><span class="lineno">  484</span>&#160;    std::unordered_set&lt;std::shared_ptr&lt;AlertObserverInterface&gt;&gt; m_observers;</div><div class="line"><a name="l00485"></a><span class="lineno">  485</span>&#160;</div><div class="line"><a name="l00487"></a><span class="lineno">  487</span>&#160;    <span class="keywordtype">bool</span> m_isConnected;</div><div class="line"><a name="l00488"></a><span class="lineno">  488</span>&#160;</div><div class="line"><a name="l00490"></a><span class="lineno">  490</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_scheduler.html">AlertScheduler</a> m_alertScheduler;</div><div class="line"><a name="l00491"></a><span class="lineno">  491</span>&#160;</div><div class="line"><a name="l00493"></a><span class="lineno">  493</span>&#160;</div><div class="line"><a name="l00495"></a><span class="lineno">  495</span>&#160;    std::shared_ptr&lt;avsCommon::sdkInterfaces::audio::AlertsAudioFactoryInterface&gt; m_alertsAudioFactory;</div><div class="line"><a name="l00496"></a><span class="lineno">  496</span>&#160;</div><div class="line"><a name="l00498"></a><span class="lineno">  498</span>&#160;    std::unordered_set&lt;std::shared_ptr&lt;avsCommon::avs::CapabilityConfiguration&gt;&gt; m_capabilityConfigurations;</div><div class="line"><a name="l00499"></a><span class="lineno">  499</span>&#160;</div><div class="line"><a name="l00501"></a><span class="lineno">  501</span>&#160;    <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface_1_1_speaker_settings.html">avsCommon::sdkInterfaces::SpeakerInterface::SpeakerSettings</a> m_lastReportedSpeakerSettings;</div><div class="line"><a name="l00502"></a><span class="lineno">  502</span>&#160;</div><div class="line"><a name="l00504"></a><span class="lineno">  504</span>&#160;    <span class="keywordtype">bool</span> m_contentChannelIsActive;</div><div class="line"><a name="l00505"></a><span class="lineno">  505</span>&#160;</div><div class="line"><a name="l00507"></a><span class="lineno">  507</span>&#160;    <span class="keywordtype">bool</span> m_commsChannelIsActive;</div><div class="line"><a name="l00508"></a><span class="lineno">  508</span>&#160;</div><div class="line"><a name="l00510"></a><span class="lineno">  510</span>&#160;    <span class="keywordtype">bool</span> m_alertIsSounding;</div><div class="line"><a name="l00511"></a><span class="lineno">  511</span>&#160;</div><div class="line"><a name="l00518"></a><span class="lineno">  518</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading_1_1_executor.html">avsCommon::utils::threading::Executor</a> m_executor;</div><div class="line"><a name="l00519"></a><span class="lineno">  519</span>&#160;};</div><div class="line"><a name="l00520"></a><span class="lineno">  520</span>&#160;</div><div class="line"><a name="l00521"></a><span class="lineno">  521</span>&#160;}  <span class="comment">// namespace alerts</span></div><div class="line"><a name="l00522"></a><span class="lineno">  522</span>&#160;}  <span class="comment">// namespace capabilityAgents</span></div><div class="line"><a name="l00523"></a><span class="lineno">  523</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00524"></a><span class="lineno">  524</span>&#160;</div><div class="line"><a name="l00525"></a><span class="lineno">  525</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_CAPABILITYAGENTS_ALERTS_INCLUDE_ALERTS_ALERTSCAPABILITYAGENT_H_</span></div><div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html">alexaClientSDK::avsCommon::avs::CapabilityAgent</a></div><div class="ttdef"><b>Definition:</b> CapabilityAgent.h:47</div></div>
<div class="ttc" id="_certified_sender_8h_html"><div class="ttname"><a href="_certified_sender_8h.html">CertifiedSender.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capability_configuration_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capability_configuration_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::CapabilityConfigurationInterface</a></div><div class="ttdef"><b>Definition:</b> CapabilityConfigurationInterface.h:32</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface_html_aec54cdb601e5f93a516400d99663d11e"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#aec54cdb601e5f93a516400d99663d11e">alexaClientSDK::avsCommon::sdkInterfaces::ConnectionStatusObserverInterface::ChangedReason</a></div><div class="ttdeci">ChangedReason</div><div class="ttdef"><b>Definition:</b> ConnectionStatusObserverInterface.h:47</div></div>
<div class="ttc" id="_capability_agent_8h_html"><div class="ttname"><a href="_capability_agent_8h.html">CapabilityAgent.h</a></div></div>
<div class="ttc" id="_alert_8h_html"><div class="ttname"><a href="_alert_8h.html">Alert.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface_html_a0ceb2f80d92998fad4842437760dfad9"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html#a0ceb2f80d92998fad4842437760dfad9">alexaClientSDK::capabilityAgents::alerts::AlertObserverInterface::State</a></div><div class="ttdeci">State</div><div class="ttdef"><b>Definition:</b> AlertObserverInterface.h:33</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_scheduler_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_scheduler.html">alexaClientSDK::capabilityAgents::alerts::AlertScheduler</a></div><div class="ttdef"><b>Definition:</b> AlertScheduler.h:36</div></div>
<div class="ttc" id="_focus_state_8h_html"><div class="ttname"><a href="_focus_state_8h.html">FocusState.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent_html_a78985125587bc62f4118ff949b197b6d"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a78985125587bc62f4118ff949b197b6d">alexaClientSDK::capabilityAgents::alerts::AlertsCapabilityAgent::onDeregistered</a></div><div class="ttdeci">void onDeregistered() override</div><div class="ttdef"><b>Definition:</b> AlertsCapabilityAgent.cpp:288</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_focus_manager_observer_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_focus_manager_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::FocusManagerObserverInterface</a></div><div class="ttdoc">An interface that clients can extend to register to observe focus changes. </div><div class="ttdef"><b>Definition:</b> FocusManagerObserverInterface.h:26</div></div>
<div class="ttc" id="_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_timing_2_timer_8h_html"><div class="ttname"><a href="_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_timing_2_timer_8h.html">Timer.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface_html_a45fb9f447f7a2ed2d9ffb211c089de93"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">alexaClientSDK::avsCommon::sdkInterfaces::SpeakerInterface::Type</a></div><div class="ttdeci">Type</div><div class="ttdef"><b>Definition:</b> SpeakerInterface.h:36</div></div>
<div class="ttc" id="_requires_shutdown_8h_html"><div class="ttname"><a href="_requires_shutdown_8h.html">RequiresShutdown.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent_html_a24e5a3a0db46902de1016797b01a3866"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a24e5a3a0db46902de1016797b01a3866">alexaClientSDK::capabilityAgents::alerts::AlertsCapabilityAgent::onLocalStop</a></div><div class="ttdeci">void onLocalStop()</div><div class="ttdef"><b>Definition:</b> AlertsCapabilityAgent.cpp:342</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent_html_a107eb9e4bea891e9dc5ff4fe7523861d"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a107eb9e4bea891e9dc5ff4fe7523861d">alexaClientSDK::capabilityAgents::alerts::AlertsCapabilityAgent::onFocusChanged</a></div><div class="ttdeci">void onFocusChanged(avsCommon::avs::FocusState focusState) override</div><div class="ttdef"><b>Definition:</b> AlertsCapabilityAgent.cpp:296</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent_html_a371c535e0e1838573bdba6fcf6a4a396"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a371c535e0e1838573bdba6fcf6a4a396">alexaClientSDK::capabilityAgents::alerts::AlertsCapabilityAgent::getConfiguration</a></div><div class="ttdeci">avsCommon::avs::DirectiveHandlerConfiguration getConfiguration() const override</div><div class="ttdef"><b>Definition:</b> AlertsCapabilityAgent.cpp:252</div></div>
<div class="ttc" id="_speaker_manager_interface_8h_html"><div class="ttname"><a href="_speaker_manager_interface_8h.html">SpeakerManagerInterface.h</a></div></div>
<div class="ttc" id="_alert_observer_interface_8h_html"><div class="ttname"><a href="_alert_observer_interface_8h.html">AlertObserverInterface.h</a></div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_html_a1267ac57476e7e9544b4f1c57a429896"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a1267ac57476e7e9544b4f1c57a429896">alexaClientSDK::capabilityAgents::alerts::ALERT_PAST_DUE_CUTOFF_MINUTES</a></div><div class="ttdeci">static const std::chrono::minutes ALERT_PAST_DUE_CUTOFF_MINUTES</div><div class="ttdef"><b>Definition:</b> AlertsCapabilityAgent.h:51</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading_1_1_executor_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading_1_1_executor.html">alexaClientSDK::avsCommon::utils::threading::Executor</a></div><div class="ttdef"><b>Definition:</b> Executor.h:39</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent_html_a8e4653bb2070dee12722fb12861efa21"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a8e4653bb2070dee12722fb12861efa21">alexaClientSDK::capabilityAgents::alerts::AlertsCapabilityAgent::removeAllAlerts</a></div><div class="ttdeci">void removeAllAlerts()</div><div class="ttdef"><b>Definition:</b> AlertsCapabilityAgent.cpp:338</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::ConnectionStatusObserverInterface</a></div><div class="ttdef"><b>Definition:</b> ConnectionStatusObserverInterface.h:28</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent_html_a2e61f1420fcd3eb25d1e4411a91bbbea"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a2e61f1420fcd3eb25d1e4411a91bbbea">alexaClientSDK::capabilityAgents::alerts::AlertsCapabilityAgent::onAlertStateChange</a></div><div class="ttdeci">void onAlertStateChange(const std::string &amp;token, const std::string &amp;alertType, AlertObserverInterface::State state, const std::string &amp;reason) override</div><div class="ttdef"><b>Definition:</b> AlertsCapabilityAgent.cpp:305</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">alexaClientSDK::avsCommon::utils::RequiresShutdown</a></div><div class="ttdef"><b>Definition:</b> RequiresShutdown.h:32</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent_html_a2cc0be4c4408e978907570121ea214ac"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a2cc0be4c4408e978907570121ea214ac">alexaClientSDK::capabilityAgents::alerts::AlertsCapabilityAgent::onConnectionStatusChanged</a></div><div class="ttdeci">void onConnectionStatusChanged(const Status status, const ChangedReason reason) override</div><div class="ttdef"><b>Definition:</b> AlertsCapabilityAgent.cpp:292</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent_html_a48d566520bbbfcf4b1ade80ec18ef6a0"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a48d566520bbbfcf4b1ade80ec18ef6a0">alexaClientSDK::capabilityAgents::alerts::AlertsCapabilityAgent::onSpeakerSettingsChanged</a></div><div class="ttdeci">void onSpeakerSettingsChanged(const Source &amp;source, const avsCommon::sdkInterfaces::SpeakerInterface::Type &amp;type, const avsCommon::sdkInterfaces::SpeakerInterface::SpeakerSettings &amp;settings) override</div><div class="ttdef"><b>Definition:</b> AlertsCapabilityAgent.cpp:931</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent_html_a7bc64ab1cd53261fa0e2580fa25a7d5c"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a7bc64ab1cd53261fa0e2580fa25a7d5c">alexaClientSDK::capabilityAgents::alerts::AlertsCapabilityAgent::addObserver</a></div><div class="ttdeci">void addObserver(std::shared_ptr&lt; AlertObserverInterface &gt; observer)</div><div class="ttdef"><b>Definition:</b> AlertsCapabilityAgent.cpp:320</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent_html_a5c98fab119fc0b67d172c420da6b1491"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a5c98fab119fc0b67d172c420da6b1491">alexaClientSDK::capabilityAgents::alerts::AlertsCapabilityAgent::getCapabilityConfigurations</a></div><div class="ttdeci">std::unordered_set&lt; std::shared_ptr&lt; avsCommon::avs::CapabilityConfiguration &gt; &gt; getCapabilityConfigurations() override</div><div class="ttdef"><b>Definition:</b> AlertsCapabilityAgent.cpp:927</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent_html_a695225803da43c58e2943233ed0a450c"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a695225803da43c58e2943233ed0a450c">alexaClientSDK::capabilityAgents::alerts::AlertsCapabilityAgent::preHandleDirective</a></div><div class="ttdeci">void preHandleDirective(std::shared_ptr&lt; DirectiveInfo &gt; info) override</div><div class="ttdef"><b>Definition:</b> AlertsCapabilityAgent.cpp:273</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_html_a2c1f3500cf37d70ffd6c1067f9c7f921"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a2c1f3500cf37d70ffd6c1067f9c7f921">alexaClientSDK::avsCommon::avs::DirectiveHandlerConfiguration</a></div><div class="ttdeci">std::unordered_map&lt; NamespaceAndName, BlockingPolicy &gt; DirectiveHandlerConfiguration</div><div class="ttdef"><b>Definition:</b> DirectiveHandlerConfiguration.h:32</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_html_a066217aef6bc1e0e18dd3a13f467d275"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a066217aef6bc1e0e18dd3a13f467d275">alexaClientSDK::avsCommon::avs::FocusState</a></div><div class="ttdeci">FocusState</div><div class="ttdef"><b>Definition:</b> FocusState.h:28</div></div>
<div class="ttc" id="_focus_manager_interface_8h_html"><div class="ttname"><a href="_focus_manager_interface_8h.html">FocusManagerInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent_html_a8d272b5ad0063344ed45c80945417283"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a8d272b5ad0063344ed45c80945417283">alexaClientSDK::capabilityAgents::alerts::AlertsCapabilityAgent::cancelDirective</a></div><div class="ttdeci">void cancelDirective(std::shared_ptr&lt; DirectiveInfo &gt; info) override</div><div class="ttdef"><b>Definition:</b> AlertsCapabilityAgent.cpp:284</div></div>
<div class="ttc" id="_executor_8h_html"><div class="ttname"><a href="_executor_8h.html">Executor.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_manager_observer_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_manager_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::SpeakerManagerObserverInterface</a></div><div class="ttdef"><b>Definition:</b> SpeakerManagerObserverInterface.h:32</div></div>
<div class="ttc" id="_alert_scheduler_8h_html"><div class="ttname"><a href="_alert_scheduler_8h.html">AlertScheduler.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent_html_a06fe5fc1439941a0da721898eed37d44"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a06fe5fc1439941a0da721898eed37d44">alexaClientSDK::capabilityAgents::alerts::AlertsCapabilityAgent::handleDirectiveImmediately</a></div><div class="ttdeci">void handleDirectiveImmediately(std::shared_ptr&lt; avsCommon::avs::AVSDirective &gt; directive) override</div><div class="ttdef"><b>Definition:</b> AlertsCapabilityAgent.cpp:265</div></div>
<div class="ttc" id="_context_manager_interface_8h_html"><div class="ttname"><a href="_context_manager_interface_8h.html">ContextManagerInterface.h</a></div></div>
<div class="ttc" id="_capability_configuration_8h_html"><div class="ttname"><a href="_capability_configuration_8h.html">CapabilityConfiguration.h</a></div></div>
<div class="ttc" id="_message_sender_interface_8h_html"><div class="ttname"><a href="_message_sender_interface_8h.html">MessageSenderInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent_html_a786cb30a1037d42b0431571fe5c46466"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a786cb30a1037d42b0431571fe5c46466">alexaClientSDK::capabilityAgents::alerts::AlertsCapabilityAgent::handleDirective</a></div><div class="ttdeci">void handleDirective(std::shared_ptr&lt; DirectiveInfo &gt; info) override</div><div class="ttdef"><b>Definition:</b> AlertsCapabilityAgent.cpp:277</div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface_1_1_speaker_settings_html"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface_1_1_speaker_settings.html">alexaClientSDK::avsCommon::sdkInterfaces::SpeakerInterface::SpeakerSettings</a></div><div class="ttdef"><b>Definition:</b> SpeakerInterface.h:50</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent_html_a62f2a0b16f24b07512d3a800264eeeb5"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a62f2a0b16f24b07512d3a800264eeeb5">alexaClientSDK::capabilityAgents::alerts::AlertsCapabilityAgent::create</a></div><div class="ttdeci">static std::shared_ptr&lt; AlertsCapabilityAgent &gt; create(std::shared_ptr&lt; avsCommon::sdkInterfaces::MessageSenderInterface &gt; messageSender, std::shared_ptr&lt; avsCommon::sdkInterfaces::AVSConnectionManagerInterface &gt; connectionManager, std::shared_ptr&lt; certifiedSender::CertifiedSender &gt; certifiedMessageSender, std::shared_ptr&lt; avsCommon::sdkInterfaces::FocusManagerInterface &gt; focusManager, std::shared_ptr&lt; avsCommon::sdkInterfaces::SpeakerManagerInterface &gt; speakerManager, std::shared_ptr&lt; avsCommon::sdkInterfaces::ContextManagerInterface &gt; contextManager, std::shared_ptr&lt; avsCommon::sdkInterfaces::ExceptionEncounteredSenderInterface &gt; exceptionEncounteredSender, std::shared_ptr&lt; storage::AlertStorageInterface &gt; alertStorage, std::shared_ptr&lt; avsCommon::sdkInterfaces::audio::AlertsAudioFactoryInterface &gt; alertsAudioFactory, std::shared_ptr&lt; renderer::RendererInterface &gt; alertRenderer, std::shared_ptr&lt; registrationManager::CustomerDataManager &gt; dataManager)</div><div class="ttdef"><b>Definition:</b> AlertsCapabilityAgent.cpp:216</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent_html_abb43665a8ad3ba4b921c8e84bcc48287"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#abb43665a8ad3ba4b921c8e84bcc48287">alexaClientSDK::capabilityAgents::alerts::AlertsCapabilityAgent::removeObserver</a></div><div class="ttdeci">void removeObserver(std::shared_ptr&lt; AlertObserverInterface &gt; observer)</div><div class="ttdef"><b>Definition:</b> AlertsCapabilityAgent.cpp:329</div></div>
<div class="ttc" id="_customer_data_handler_8h_html"><div class="ttname"><a href="_customer_data_handler_8h.html">CustomerDataHandler.h</a></div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="_connection_status_observer_interface_8h_html"><div class="ttname"><a href="_connection_status_observer_interface_8h.html">ConnectionStatusObserverInterface.h</a></div></div>
<div class="ttc" id="_capability_configuration_interface_8h_html"><div class="ttname"><a href="_capability_configuration_interface_8h.html">CapabilityConfigurationInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html">alexaClientSDK::capabilityAgents::alerts::AlertsCapabilityAgent</a></div><div class="ttdef"><b>Definition:</b> AlertsCapabilityAgent.h:56</div></div>
<div class="ttc" id="_alerts_audio_factory_interface_8h_html"><div class="ttname"><a href="_alerts_audio_factory_interface_8h.html">AlertsAudioFactoryInterface.h</a></div></div>
<div class="ttc" id="_message_request_8h_html"><div class="ttname"><a href="_message_request_8h.html">MessageRequest.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_manager_observer_interface_html_a38d6a50cc5799f07612827e1a163babb"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_manager_observer_interface.html#a38d6a50cc5799f07612827e1a163babb">alexaClientSDK::avsCommon::sdkInterfaces::SpeakerManagerObserverInterface::Source</a></div><div class="ttdeci">Source</div><div class="ttdoc">Indicates whether the source of the call is from an AVS Directive or through a Local API call...</div><div class="ttdef"><b>Definition:</b> SpeakerManagerObserverInterface.h:35</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent_html_a9b9ac84c64214653bed09c8307a2f142"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a9b9ac84c64214653bed09c8307a2f142">alexaClientSDK::capabilityAgents::alerts::AlertsCapabilityAgent::clearData</a></div><div class="ttdeci">void clearData() override</div><div class="ttdef"><b>Definition:</b> AlertsCapabilityAgent.cpp:921</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_handler_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_handler.html">alexaClientSDK::registrationManager::CustomerDataHandler</a></div><div class="ttdef"><b>Definition:</b> CustomerDataHandler.h:33</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface_html_a2e6b08990caa9d1911b01d51d92806b4"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#a2e6b08990caa9d1911b01d51d92806b4">alexaClientSDK::avsCommon::sdkInterfaces::ConnectionStatusObserverInterface::Status</a></div><div class="ttdeci">Status</div><div class="ttdef"><b>Definition:</b> ConnectionStatusObserverInterface.h:33</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_observer_interface.html">alexaClientSDK::capabilityAgents::alerts::AlertObserverInterface</a></div><div class="ttdef"><b>Definition:</b> AlertObserverInterface.h:28</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
